12 endpoints
Control de inventario
Inventario de insumos: su stock, movimientos, ajustes, transferencias entre bodegas y las reglas de qué bodega abastece cada consumo.
POST /api/inventory/{accion}
POST
Ajustar stock de un insumo
create-adjustment
inventory.module
6 params
POST
Crear regla de bodega de consumo
create-consumption-location
catalog.module
4 params
POST
Transferir insumos entre bodegas
create-transfer
inventory.module
7 params
POST
Eliminar regla de bodega de consumo
delete-consumption-location
catalog.module
1 param
POST
Consultar saldo de un insumo
get-item-stock
inventory.module
2 params
POST
Consultar una transferencia entre bodegas
get-transfer
inventory.module
1 param
POST
Listar bodegas de consumo de un insumo
list-consumption-locations
catalog.module
1 param
POST
Listar movimientos de inventario
list-movements
inventory.module
5 params
POST
Listar stock actual
list-stock
inventory.module
2 params
POST
Listar transferencias entre bodegas
list-transfers
inventory.module
1 param
POST
Reordenar regla de bodega de consumo
reorder-consumption-locations
catalog.module
3 params
POST
Actualizar regla de bodega de consumo
update-consumption-location
catalog.module
4 params